%define debug_package %{nil}
Name:           xcb-proto
Version:        1.15.2
Release:        3
Summary:        XCB protocol descriptions
License:        MIT
URL:            https://gitlab.freedesktop.org/xorg/proto/xcbproto/
Source0:        https://xcb.freedesktop.org/dist/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:	python3-devel
Requires:       pkgconfig

Patch0001:	backport-0001-Document-the-MIT-SHM-extension.patch
Patch0002:	Add-documentation-for-XFixes-v6.patch
Patch0003:	Document-BIG-REQUESTS.patch

%description
The X protocol C-language Binding (XCB) is a replacement for
Xlib featuring a small footprint, latency hiding, direct access
to the protocol, improved threading support, and extensibility.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --libdir=%{_datadir}
%make_build

%install
%make_install

%files
%doc COPYING NEWS README.md TODO doc/xml-xcb.txt
%{_datadir}/pkgconfig/xcb-proto.pc
%dir %{_datadir}/xcb/
%{_datadir}/xcb/*.xsd
%{_datadir}/xcb/*.xml
%{python3_sitelib}/xcbgen

%changelog
* Sat Jul 15 2023 yaozile <yaozile@xfusion.com> - 1.15.2-3
- Add-documentation-for-XFixes-v6.patch

* Fri Jul 7 2023 yaozile <yaozile@xfusion.com> - 1.15.2-2
- Add-documentation-for-XFixes-v6.patch

* Mon May 29 2023 wulei <wu_lei@hoperun.com> - 1.15.2-1
- Upgrade package to version 1.15.2

* Fri Jan 6 2023 yangbo <yangbo1@xfusion.com> - 1.15-3
- Modify spec URL

* Fri Jan 6 2023 yangbo <yangbo1@xfusion.com> - 1.15-2
- Document the MIT-SHM extension

* Thu Oct 27 2022 wangkerong <wangkerong@h-partners.com> - 1.15-1
- upgrade to 1.15

* Sat Jan 08 2022 dongyuzhen <dongyuzhen@huawei.com> - 1.14-2
- Type:bugfix
- CVE:NA
- SUG:NA
- DESC:fixes for python 3.9

* Mon Jul 27 2020 chxssg<chxssg@qq.com> - 1.14-1
- update package to 1.14

* Thu Nov 28 2019 yangjian<yangjian79@huawei.com> - 1.13-6
- Package init
